> ## Documentation Index
> Fetch the complete documentation index at: https://developer.woox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get token history

> get token history

**Limit 10 requests per 60 seconds**\
Get account token balance change history


## OpenAPI

````yaml GET /v3/asset/token/history
openapi: 3.0.2
info:
  title: Swagger Petstore - OpenAPI 3.0
  description: >-
    This is a sample Pet Store Server based on the OpenAPI 3.0 specification. 
    You can find out more about

    Swagger at [http://swagger.io](http://swagger.io). In the third iteration of
    the pet store, we've switched to the design first approach!

    You can now help us improve the API whether it's by making changes to the
    definition itself or to the code.

    That way, with time, we can improve the API in general, and expose some of
    the new features in OAS3.


    Some useful links:

    - [The Pet Store
    repository](https://github.com/swagger-api/swagger-petstore)

    - [The source API definition for the Pet
    Store](https://github.com/swagger-api/swagger-petstore/blob/master/src/main/resources/openapi.yaml)
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Team
    email: apiteam@swagger.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.19
servers:
  - url: https://api.woox.io/
security: []
externalDocs:
  description: Find out more about Swagger
  url: http://swagger.io
paths:
  /v3/asset/token/history:
    get:
      description: get token history
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            example: abcdef123456
          description: ''
        - name: x-api-signature
          in: header
          required: true
          schema:
            type: string
            example: signaturestring
          description: ''
        - name: x-api-timestamp
          in: header
          required: true
          schema:
            type: string
            example: '1718943200000'
          description: ''
        - name: type
          in: query
          description: Transaction type filter
          required: false
          explode: true
          schema:
            type: string
            enum:
              - WITHDRAW
              - DEPOSIT
              - FIAT_WITHDRAW
              - FIAT_DEPOSIT
              - EARN
              - VAULT_WITHDRAW
              - VAULT_DEPOSIT
              - YIELD_TO_BALANCE
              - CREDIT
              - DISTRIBUTION
              - REFERRAL
              - SUB_ACCOUNT_TRANSFER
              - REBATE
              - LIQUIDATION
              - SPECIAL
              - STAKING
              - UNSTAKING
              - UNSTAKING_FEE
              - INTEREST
              - CONVERT
              - FUNDING_FEE
              - REALIZED_PNL
              - RFQ
              - COPY_FEE
              - COPY_PROFIT_SHARED
              - SPOT_TRANSACTION
              - TRANSACTION_FEE
        - $ref: '#/components/parameters/start_filter'
        - $ref: '#/components/parameters/end_filter'
        - $ref: '#/components/parameters/page_filter'
        - $ref: '#/components/parameters/size_filter'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenHistoryResponse'
      security: []
components:
  parameters:
    start_filter:
      name: startTime
      in: query
      description: start www time in unix timestamp
      required: false
      explode: true
      schema:
        type: integer
    end_filter:
      name: endTime
      in: query
      description: end time in unix timestamp
      required: false
      explode: true
      schema:
        type: integer
    page_filter:
      name: page
      in: query
      description: the page you wish to query.
      required: false
      explode: true
      schema:
        type: integer
        default: 1
    size_filter:
      name: size
      in: query
      description: the page size you wish to query, default = 25, 1000 at max.
      required: false
      explode: true
      schema:
        type: integer
        default: 25
  schemas:
    TokenHistoryResponse:
      allOf:
        - $ref: '#/components/schemas/CommonResponse'
        - type: object
          properties:
            data:
              type: object
              properties:
                rows:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: integer
                        description: ''
                      type:
                        type: string
                        description: type
                        enum:
                          - WITHDRAW
                          - DEPOSIT
                          - FIAT_WITHDRAW
                          - FIAT_DEPOSIT
                          - EARN
                          - VAULT_WITHDRAW
                          - VAULT_DEPOSIT
                          - YIELD_TO_BALANCE
                          - CREDIT
                          - DISTRIBUTION
                          - REFERRAL
                          - SUB_ACCOUNT_TRANSFER
                          - REBATE
                          - LIQUIDATION
                          - SPECIAL
                          - STAKING
                          - UNSTAKING
                          - UNSTAKING_FEE
                          - INTEREST
                          - CONVERT
                          - FUNDING_FEE
                          - REALIZED_PNL
                          - RFQ
                          - COPY_FEE
                          - COPY_PROFIT_SHARED
                          - SPOT_TRANSACTION
                          - TRANSACTION_FEE
                      token:
                        type: string
                        description: token
                      amount:
                        type: string
                        description: amount
                      timestamp:
                        type: integer
                        description: timestamp
                meta:
                  $ref: '#/components/schemas/Meta'
    CommonResponse:
      type: object
      properties:
        success:
          type: boolean
          description: 'true'
        timestamp:
          type: integer
          description: timestamp
    Meta:
      type: object
      properties:
        total:
          type: integer
          description: Total number of record
        recordsPerPage:
          type: integer
          description: Number of records per page
        currentPage:
          type: integer
          description: Current page number

````